Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlxt.repository
Interface Repository

public interface Repository
extends java.io.Serializable

The Repository interface is the top level object in the WLXT plug-in repository model. This object is responsible for connecting/disconnecting the repository and for obtaining a root folder context.

Since:
  WLXT V2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `RepositoryFolder`, `RepositoryDocument`

Field Summary
`static int` | `DOC_TYPE_ALL` This type is used to add all types as the filter (*.*).
`static int` | `DOC_TYPE_CLASS` Generic document type for Base64 .class file.
`static int` | `DOC_TYPE_DTD` Generic document type for a DTD document.
`static int` | `DOC_TYPE_MFL` Generic document type for a MFL document.
`static int` | `DOC_TYPE_XSD` Generic document type for an XML Schema document.
`static int` | `DOC_TYPE_XSLT` Generic document type for an XSLT document.

Method Summary
`boolean` | `folderSupport()` This method may be used to determine if a repository implementation supports the concept of folders.
`java.lang.String` | `getRepositoryName()` Returns the name of the active repository.
`RepositoryFolder` | `getRootFolder()` Returns the root folder for the repository which represents the top level of the repository.
`boolean` | `login()` Login to the repository.
`boolean` | `login(java.awt.Component parent)` Login to the repository.
`boolean` | `login(java.util.Properties prop)` Login to the repository.
`void` | `logout()` Logout from the repository.

Field Detail

### DOC_TYPE_MFL

    public static final int DOC_TYPE_MFL

  Generic document type for a MFL document.

### DOC_TYPE_DTD

    public static final int DOC_TYPE_DTD

  Generic document type for a DTD document.

### DOC_TYPE_XSD

    public static final int DOC_TYPE_XSD

  Generic document type for an XML Schema document.

### DOC_TYPE_XSLT

    public static final int DOC_TYPE_XSLT

  Generic document type for an XSLT document.

### DOC_TYPE_CLASS

    public static final int DOC_TYPE_CLASS

  Generic document type for Base64 .class file. This type is used to support WLXT user defined type classes.

### DOC_TYPE_ALL

    public static final int DOC_TYPE_ALL

  This type is used to add all types as the filter (*.*).

Method Detail

### folderSupport

    public boolean folderSupport()

  This method may be used to determine if a repository implementation supports the concept of folders. If folders are supported the repository is expected to implement all folder features.

  Returns:
    Returns true if the repository supports the concept of folders.

### login

    public boolean login()
                  throws RepositoryException

  Login to the repository. This method is not permitted any user communication and is expected to obtain it's connection parameters, if any, from the WLXT properties passed by the RepositoryFactory at construction time.

  Returns:
    Returns true is the login was successful. Otherwise false is returned indicating that the login failed or invalid credentials were passed.

### login

    public boolean login(java.awt.Component parent)
                  throws RepositoryException

  Login to the repository. This method may pop a dialog to request login information from the user or silently login based on configuration parameters.

  Parameters:
    `parent` - If the login method needs to pop a dialog to interact with the user it will use parent as the parent of the dialog.
  Returns:
    Returns true is the login was successful. Otherwise false is returned indicating that the user either cancelled the login or failed to provide valid credentials.

### login

    public boolean login(java.util.Properties prop)
                  throws RepositoryException

  Login to the repository. This method is not permitted any user communication and is expected to obtain it's connection parameters from the passed Properties or provide a reasonable default (if applicable). For example, if the repository requires a URL for access to a JNDI tree it might assume the local server if an appropriate URL is not passed. The property keys are repository implementation specific.

  Parameters:
    `prop` - The properties required for repository connection.
  Returns:
    Returns true is the login was successful. Otherwise false is returned indicating that the login failed or invalid credentials were passed.

### logout

    public void logout()

  Logout from the repository.

### getRootFolder

    public RepositoryFolder getRootFolder()

  Returns the root folder for the repository which represents the top level of the repository. Repositories that do not implement folders are still expected to return a RepositoryFolder object which may be used to manipulate the document at the top (and presumably only) level of the repository.

  Returns:
    A RepositoryFolder object that represents the top level of the repository.

### getRepositoryName

    public java.lang.String getRepositoryName()

  Returns the name of the active repository.

  Returns:
    The name of the repository implementation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)